unbound: daemon Struct Reference

unbound 0.1

Data Fields
daemon Struct Reference

Structure holding worker list. More...

`#include <daemon.h>`

## Data Fields
struct config_file * | cfg
| The config settings.
char * | chroot
| the chroot dir in use, NULL if none
char * | pidfile
| pidfile that is used
int | listening_port
| port number that has ports opened.
struct listen_port ** | ports
| array of listening ports, opened.
size_t | num_ports
| size of ports array
int | reuseport
| reuseport is enabled if true
int | rc_port
| port number for remote that has ports opened.
struct listen_port * | rc_ports
| listening ports for remote control
struct daemon_remote * | rc
| remote control connections management (for first worker)
void * | listen_sslctx
| ssl context for listening to dnstcp over ssl, and connecting ssl
void * | connect_sslctx
int | num
| num threads allocated
int | old_num
| num threads allocated in the previous config or 0 at first
struct worker ** | workers
| the worker entries
struct alloc_cache ** | worker_allocs
| per-worker allocation cache
int | need_to_exit
| do we need to exit unbound (or is it only a reload?)
struct ub_randstate * | rand
| master random table ; used for port div between threads on reload
struct alloc_cache | superalloc
| master allocation cache
struct module_env * | env
| the module environment master value, copied and changed by threads
struct module_stack | mods
| stack of module callbacks
struct acl_list * | acl
| access control, which client IPs are allowed to connect
struct acl_list * | acl_interface
| access control, which interfaces are allowed to connect
struct tcl_list * | tcl
| TCP connection limit, limit connections from client IPs.
struct local_zones * | local_zones
| local authority zones
struct timeval | time_last_stat
| last time of statistics printout
struct timeval | time_boot
| time when daemon started
struct views * | views
| views structure containing view tree
struct shm_main_info * | shm_info
struct respip_set * | respip_set
| response-ip set with associated actions and tags.
int | use_response_ip
| some response-ip tags or actions are configured if true
int | use_rpz
| some RPZ policies are configured
int | reuse_cache
| reuse existing cache on reload if other conditions allow it.

## Detailed Description

Structure holding worker list.

Holds globally visible information.

## Field Documentation

## ◆ ports

struct listen_port** daemon::ports

array of listening ports, opened.

Listening ports per worker, or just one element[0] shared by the worker threads.

Referenced by daemon_delete(), daemon_fork(), daemon_open_shared_ports(), and thread_start().

The documentation for this struct was generated from the following file:

- daemon/daemon.h